Android のセキュリティに関する公開情報 - 2022 年 12 月

2022 年 12 月 5 日公開 | 2022 年 12 月 7 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2022-12-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。下記の問題に対するソースコードのパッチは、これから 48 時間の間に Android オープンソース プロジェクト(AOSP)リポジトリにリリースされます。AOSP リンクが利用可能になり次第、この公開情報を改訂します。

下記の問題のうち最も重大度の高いものは、システム コンポーネントで発見された重大なセキュリティの脆弱性です。追加の実行権限がなくても、Bluetooth 経由でリモートからコードが実行されるおそれがあります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトを使って脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2022-12-01 の脆弱性の詳細

以下に、パッチレベル 2022-12-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクを設定しています。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

Android ランタイム

Android ランタイムの脆弱性により、追加の実行権限を必要とすることなく、ローカルで情報が漏えいするおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2022-20502 A-222166527 ID 13

フレームワーク

フレームワークの最も重大な脆弱性により、追加の実行権限を必要とすることなく、リモートでコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2022-20472 A-239210579 RCE 重大 10、11、12、12L、13
CVE-2022-20473 A-239267173 RCE 重大 10、11、12、12L、13
CVE-2021-39617 A-175190844 EoP 11、12、12L
CVE-2021-39795 A-201667614 EoP 11、12、12L、13
CVE-2022-20124 A-170646036 EoP 10、11、12、12L、13
CVE-2022-20442 A-176094367 EoP 10、11、12、12L
CVE-2022-20444 A-197296414 [2] [3] [4] [5] EoP 11、12
CVE-2022-20470 A-234013191 EoP 10、11、12、12L、13
CVE-2022-20474 A-240138294 [2] EoP 10、11、12、12L、13
CVE-2022-20475 A-240663194 EoP 11、12、12L、13
CVE-2022-20477 A-241611867 EoP 13
CVE-2022-20485 A-242702935 [2] EoP 10、11、12、12L、13
CVE-2022-20486 A-242703118 [2] EoP 10、11、12、12L、13
CVE-2022-20491 A-242703556 [2] EoP 10、11、12、12L、13
CVE-2022-20611 A-242996180 EoP 10、11、12、12L、13
CVE-2021-0934 A-169762606 DoS 10、11、12、12L、13
CVE-2022-20449 A-239701237 DoS 10、11、12、12L、13
CVE-2022-20476 A-240936919 DoS 10、11、12、12L
CVE-2022-20482 A-240422263 DoS 12、12L、13
CVE-2022-20500 A-246540168 DoS 10、11、12、12L、13

メディア フレームワーク

メディア フレームワークの脆弱性により、追加の実行権限を必要とすることなく、ローカルで情報が漏えいするおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2022-20496 A-245242273 ID 12、12L、13

システム

システムの最も重大な脆弱性により、追加の実行権限を必要とすることなく、Bluetooth 経由でリモートからコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2022-20411 A-232023771 [2] RCE 重大 10、11、12、12L、13
CVE-2022-20498 A-246465319 ID 重大 10、11、12、12L、13
CVE-2022-20469 A-230867224 RCE 10、11、12、12L、13
CVE-2022-20144 A-187702830 [2] EoP 10、11、12、12L、13
CVE-2022-20240 A-231496105 [2] [3] [4] EoP 12、12L
CVE-2022-20478 A-241764135 [2] EoP 10、11、12、12L、13
CVE-2022-20479 A-241764340 [2] EoP 10、11、12、12L、13
CVE-2022-20480 A-241764350 [2] EoP 10、11、12、12L、13
CVE-2022-20484 A-242702851 [2] EoP 10、11、12、12L、13
CVE-2022-20487 A-242703202 [2] EoP 10、11、12、12L、13
CVE-2022-20488 A-242703217 [2] EoP 10、11、12、12L、13
CVE-2022-20495 A-243849844 EoP 10、11、12、12L、13
CVE-2022-20501 A-246933359 EoP 10、11、12、12L、13
CVE-2022-20466 A-179725730 [2] ID 13
ID 10、11、12、12L
CVE-2022-20471 A-238177877 ID 11、12、12L、13
CVE-2022-20483 A-242459126 ID 10、11、12、12L、13
CVE-2022-20497 A-246301979 ID 12、12L、13
CVE-2022-20468 A-228450451 ID 10、11、12、12L、13

Google Play システム アップデート

プロジェクト Mainline のコンポーネントには次の問題が含まれています。

サブコンポーネント CVE
MediaProvider CVE-2021-39795
権限コントローラ CVE-2021-39617、CVE-2022-20442

セキュリティ パッチレベル 2022-12-05 の脆弱性の詳細

以下に、パッチレベル 2022-12-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクを設定しています。

カーネル

カーネルの脆弱性により、追加の実行権限を必要とすることなく、ローカルで情報が漏えいするおそれがあります。

CVE 参照 タイプ 重大度 サブコンポーネント
CVE-2022-23960 A-215557547
アップストリーム カーネル [2] [3] [4] [5] [6] [7] [8] [9] [10] [11] [12] [13] [14] [15] [16] [17] [18] [19] [20] [21] [22] [23] [24] [25] [26]
ID カーネル

Imagination Technologies

この脆弱性は Imagination Technologies コンポーネントに影響を与えます。詳細については Imagination Technologies から直接入手できます。この問題の重大度の評価は、Imagination Technologies から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2021-39660
A-254742984 * PowerVR-GPU

MediaTek コンポーネント

これらの脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。これらの問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2022-32594
A-250331397
M-ALPS07446207 *
widevine
CVE-2022-32596
A-250470698
M-ALPS07446213 *
widevine
CVE-2022-32597
A-250470696
M-ALPS07446228 *
widevine
CVE-2022-32598
A-250470697
M-ALPS07446228 *
widevine
CVE-2022-32619
A-250441021
M-ALPS07439659 *
keyinstall
CVE-2022-32620
A-250441023
M-ALPS07541753 *
mpu

Unisoc コンポーネント

以下の脆弱性は Unisoc コンポーネントに影響を与えます。詳細については Unisoc から直接入手できます。これらの問題の重大度の評価は、Unisoc から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2022-39106
A-252398972
U-1830881 *
カーネル
CVE-2022-39131
A-252950986
U-1914157 *
カーネル
CVE-2022-39132
A-252951342
U-1914157 *
カーネル
CVE-2022-39133
A-253957345
U-1946077 *
カーネル
CVE-2022-39134
A-253333208
U-1947682 *
カーネル
CVE-2022-42754
A-253344080
U-1967614 *
カーネル
CVE-2022-42755
A-253957344
U-1981296 *
カーネル
CVE-2022-42756
A-253337348
U-1967535 *
カーネル
CVE-2022-42770
A-253978051
U-1975103 *
カーネル
CVE-2022-42771
A-253978040
U-1946329 *
カーネル
CVE-2022-42772
A-253978054
U-1903041 *
カーネル
CVE-2022-39129
A-252943954
U-1957128 *
カーネル
CVE-2022-39130
A-252950982
U-1957128 *
カーネル

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。この問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2022-33268
A-245992426
QC-CR#3182085 [2]
Bluetooth

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。 これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2022-25672
A-231156083 * クローズドソース コンポーネント
CVE-2022-25673
A-235102693 * クローズドソース コンポーネント
CVE-2022-25681
A-238106628 * クローズドソース コンポーネント
CVE-2022-25682
A-238102293 * クローズドソース コンポーネント
CVE-2022-25685
A-235102504 * クローズドソース コンポーネント
CVE-2022-25689
A-235102546 * クローズドソース コンポーネント
CVE-2022-25691
A-235102879 * クローズドソース コンポーネント
CVE-2022-25692
A-235102506 * クローズドソース コンポーネント
CVE-2022-25695
A-235102757 * クローズドソース コンポーネント
CVE-2022-25697
A-235102692 * クローズドソース コンポーネント
CVE-2022-25698
A-235102566 * クローズドソース コンポーネント
CVE-2022-25702
A-235102898 * クローズドソース コンポーネント
CVE-2022-33235
A-245402984 * クローズドソース コンポーネント
CVE-2022-33238
A-245402341 * クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2022-12-01 以降では、セキュリティ パッチレベル 2022-12-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2022-12-05 以降では、セキュリティ パッチレベル 2022-12-05 以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2022-12-01]
  • [ro.build.version.security_patch]:[2022-12-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2022-12-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを掲載しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2022-12-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2022-12-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号
U- UNISOC の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Google Pixel 用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2022 年 12 月 5 日 情報公開
1.1 2022 年 12 月 7 日 公開情報を改訂し AOSP リンクを追加
2.0 2022 年 12 月 7 日 CVE の表を改訂